Gumbo, WordPress Theme for Bloggers
===================================

Thank you for using Gumbo by ThematoSoup
----------------------------------------

Whether you're running a personal, business, school, politics, military, sports or a how-to blog, a minimalist, elegant and simple WordPress template will make sure your message gets delivered in the best possible way.

[Gumbo](http://gumbotheme.com) is a blogging WordPress theme easy to setup and customize. It's created with two things in mind:
* Minimalism
* WordPress best practices

If you're looking for a premium WordPress theme that focuses on ease of use, your content and customer support, you're in the right spot.

Gumbo is using all the latest WordPress standards so itís:
* Stable
* Future proof
* Secure

Give it a go and start blogging in no time.

Gumbo Features
----------------

Gumbo is an amazingly flexible and powerful free blogging theme developed by [ThematoSoup](http://thematosoup.com). It is responsive and retina ready. It comes with:
* 3 page layouts (left sidebar, right sidebar, no sidebar)
* 4 page templates (masonry, authors, widgetized, sitemap)
* 6 widget areas (primary

 Clean code and latest WordPress quality guidelines make it secure and very light.

Every feature you want to enable or disable is in one place - Customizer, so when you change something you get an instant preview. Theme customizer is a native WordPress feature which makes it very easy to adjust the theme to your needs:.

Gumbo is carefully thought through and gives you much flexibility for you to sway it into anything you need.


### Layouts

Gumbo lets you choose between 2 layout types:
* boxed
* full-width

In addition to this you have the option of 3 page layouts:
* one column layout - full width
* two column layout - right sidebar
* two column layout - left sidebar

### Page Templates

4 different templates let you choose the best possible way to present your content:

* Widgetized Homepage (Widget area below content)
* Authors (Sortable list of subscribers, contributors, authors, editors and administrators)
* Masonry (Pinterest-like template)
* Sitemap (Pages, categories and your latest posts)

### Header Layouts

You can choose between 3 header layouts:
* Navigation below title and tagline
* Navigation next to title and tagline
* Center aligned

### Widget Areas

There are 7 widgetized areas:
* Primary
* Post Aside
* Below Header
* Widgetized Template
* Footer
* Above Footer
* Below Footer
* Store Sidebar (WooCommerce required)

If you have the need for inserting banners, AdSense ads, calls-to-action and other content, you can do that easily and have control over positioning.

Gumbo has one widgetized area that is displayed in "Widgetized Template" page template below all your content. Here you can insert three widgets per row in unlimited number of rows. If you only use two widgets, they will both be 50% wide. One widget and it's full width. 

### Typography

Typography is what makes every website usable, readable and beautiful. Gumbo lets you choose between 15 Body and Header fonts.

Fonts you'll find are carefully picked and include:
* Helvetica
* Georgia
* Droid Serif
* Arimo
* Lato
* Open Sans
* Ubunto
* Cabin
* Istok Web
* Noto Serif
* Rosario
* Tinos
* Surce Sans Pro
* Roboto
* Titillium Web

### Site Title & Tagline

Site title and tagline are your standard WordPress features. They are placed in the header area. Site title is substituted by logo should you upload one.


### Colors

Gumbo comes with 3 predefined color schemes:
* Light
* White
* Dark

You can also tweak any color scheme by changing:
* Primary Color
* Header Background Color
* Header Text Color
* Background Color

If you use Background color then you'll automatically switch to boxed layout.

### Background Image

You have the option of setting a custom background image or a pattern. If you do this you're enabling boxed layout. A custom background color will be overridden by a background image.


### Navigation

The theme has three navigation menu locations:
* Primary
* Footer
* Top (above header)

You also have the option of showing your post navigation below posts.

### Front Page

Static Front Page is where you choose what to show on your home page, as well as which page is your blogroll.


Documentation & Support
-----------------------

If you experience any issues, you can read our extensive [online documentation](http://docs.thematosoup.com) or check out [video tutorials](https://www.youtube.com/playlist?list=PLpuFMIjzqmYtZyxTtFYg8Yf2YEej7pCp3). For any support requests, please use our dedicated [support forums](http://support.thematosoup.com).


Theme Customizer Boilerplate
----------------------------
The theme uses Theme Customizer Boilerplate (GPL licenced) to handle its Customizer options. It is a drop-in code library that can be used to speed up theme development process. You can find out more about Theme Customizer boilerplate at its Github project page.


License
-------

The theme is under GPLv2. However some parts aren't, for example, jQuery and jQuery Masonry which are licensed under MIT License, but still compatible with GPL. You can see License.txt for more information. All other parts are GPLv2 or later:

* Custom Metaboxes and Fields for WordPress - GPLv2
* Theme Customizer Boilerplate - GPLv2
* TGM Plugin Activation - GPLv2
* FlexSlider - GPLv2
* jQuery - MIT
* jQuery Masonry - MIT


Theme Re-Distribution
---------------------

It's GPL so yes you can base your Themes on Gumbo, but they need to use a GPL license, too.

All derivative Themes must be different from the original work, which includes the Theme design as well as all the codes from Gumbo Theme.

You can show us your appreciation by following WordPress.org best practices yourself and connecting with [ThematoSoup](http://thematosoup.com) on [Facebook](https://www.facebook.com/thematosoup) or [Twitter](https://twitter.com/thematosoup).